package openapi

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/openapi"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /openapi/contact/getContactList openapi OpenapiGetContactList
//
// 获取联系人列表
//
// 获取联系人列表
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: WxidReq
//
// Responses:
//  200: ContactListResp

func OpenapiGetContactListHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.WxidReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := openapi.NewOpenapiGetContactListLogic(r.Context(), svcCtx)
		resp, err := l.OpenapiGetContactList(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
